# General Translation Platform: 删除自定义提示词
URL: https://generaltranslation.com/zh/docs/platform/openapi/reference/context-management/delete-custom-prompt.mdx
Docs index: https://generaltranslation.com/llms.txt
Description: 删除提示词。需要 org:context:write 权限。删除自定义提示词的 API 参考。

{/* 此文件由 Fumadocs 生成。请勿直接编辑此文件。如需修改，请重新运行生成命令。 */}

## Endpoint

`DELETE https://api.gtx.dev/v2/context-groups/{groupId}/custom-prompts/{customPromptId}`

**Operation ID:** `deleteContextCustomPrompt`

**Tags:** `Context Management`

**Summary:** Delete a custom prompt

Deletes a prompt. Requires `org:context:write`.

Authentication: required. Send an API key in the `Authorization: Bearer <key>` header when authenticating.

### Parameters

- `groupId` (path, string, required): Context group ID.
- `customPromptId` (path, string, required): Custom prompt ID.
- `gt-api-version` (header, "2025-01-01.v0" | "2025-11-03.v1" | "2026-02-18.v1" | "2026-03-06.v1", optional): API contract version. Defaults to the oldest supported version.

### Responses

**200**: Custom prompt deleted
Response body (`application/json`, object):
- `committed` (true, required)

**400**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**401**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**403**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**404**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**429**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

**500**: Request error
Response body (`application/json`, object):
- `error` (string, required)

Response body (`text/html`, string):

Complete OpenAPI 3.1 specification: https://generaltranslation.com/openapi.yaml

OpenAPI schema: [openapi.json](https://generaltranslation.com/openapi.json)

## Sitemap

See the full [sitemap](https://generaltranslation.com/sitemap.md) for all pages.
